#include <avr/io.h>

#define F_CPU 16000000l
#include <util/delay.h>

int main (void)
{
  DDRD = 0xfd;   /* binär: 1111 1101 */
  PORTD = 0x40;  /* binär: 0100 0000 */
  while (1)
    {
      while ((PIND & 0x02) == 0)  /* binär: 0000 0010 */
        ; /* just wait */
      PORTD ^= 0x40;
      _delay_ms (10);
      while ((PIND & 0x02) != 0)
        ; /* just wait */
    }
  return 0;
}
