#include <avr/io.h>
#include <avr/interrupt.h>
#include <stdint.h>

ISR (INT0_vect)  /* PD2 */
{
  PORTD ^= 0x40;
}

int main (void)
{
  cli ();
  EICRA = 1 << ISC00 | 1 << ISC01;  /* INT0: steigende Flanke */
  EIMSK = 1 << INT0;  /* INT0 einschalten */
  sei ();
  DDRD = 0xff;   /* binär: 1111 1111 */
  PORTD = 0x40;  /* binär: 0100 0000 */
  while (1);
  return 0;
}
