#include <stdio.h>

#define STACK_SIZE 10

int stack[STACK_SIZE];
int stack_pointer = 0;

void push (int x)
{
  stack[stack_pointer++] = x;
}

void push_at (int x, int pos)
{
  for (int i = pos; i < stack_pointer; i++)
    stack[i + 1] = stack[i];
  stack[pos] = x;
  stack_pointer++;
}

int pop (void)
{
  return stack[--stack_pointer];
}

void show (void)
{
  printf ("stack:");
  for (int i = 0; i < stack_pointer; i++)
    printf (" %d", stack[i]);
  printf ("\n");
}

int main (void)
{
  push (3);
  push (7);
  push (137);
  show ();
  push_at (5, 1);
  show ();
  return 0;
}
