#include <stdio.h>
#include <stdlib.h>

typedef struct node
{
  int content;
  struct node *left, *right;
} node;

void insert (node **root, int content)
{
  node *p = malloc (sizeof (node));
  p->content = content;
  p->left = NULL;
  p->right = NULL;
  if (*root == NULL)
    *root = p;
  else if (content > (*root)->content)
    {
      if ((*root)->right == NULL)
        (*root)->right = p;
      else
        /* ??? */;
    }
  else
    {
      if ((*root)->left == NULL)
        (*root)->left = p;
      else
        /* ??? */;
    }
}

void output (node *root)
{
  if (root)
    {
      output (root->left);
      printf ("%d\n", root->content);
      output (root->right);
    }
}

int main (void)
{
  node *root = NULL;
  insert (&root, 7);
  insert (&root, 137);
  insert (&root, 3);
  insert (&root, 5);
  output (root);
  return 0;
}
