#include <SDL/SDL.h>
#include <SDL/SDL_ttf.h>

int main (void)
{
  SDL_Init (SDL_INIT_VIDEO);
  TTF_Init ();
  SDL_Surface *display = SDL_SetVideoMode (320, 200, 8, SDL_HWSURFACE);
  TTF_Font* sans = TTF_OpenFont ("FreeSans.ttf", 24);
  SDL_Color yellow = { 255, 255, 0, 0 };
  SDL_Surface* surface = TTF_RenderText_Solid (sans, "Hello, world!", yellow);
  SDL_Rect dst_rect = { x: 90, y: 90, w: 200, h: 30 };
  SDL_BlitSurface (surface, NULL, display, &dst_rect);
  SDL_FreeSurface (surface);
  TTF_CloseFont (sans);
  SDL_UpdateRect (display, 0, 0, 0, 0);
  SDL_Delay (5000);
  SDL_Quit ();
  return 0;
}
