#include <stdio.h>

typedef struct node
{
  int content;
  struct node *next;
} node;

void output_list (node *first)
{
  for (node *p = first; p; p = p->next)
    printf ("%d\n", p->content);
}

void insert_into_list (node *what, node *where)
{
  what->next = where->next;
  where->next = what;
}

int main (void)
{
  node element3, element7, element137;

  element3.content = 3;
  element7.content = 7;
  element137.content = 137;

  node *first = &element3;
  element3.next = &element7;
  element7.next = &element137;
  element137.next = NULL;

  output_list (first);

  node element5;
  element5.content = 5;
  insert_into_list (&element5, &element3);

  output_list (first);

  return 0;
}
